xmonad-contrib-0.15: Third party extensions for xmonad

Copyright | (c) Ivan Miljenovic <Ivan.Miljenovic@gmail.com>
License | BSD
Maintainer | none
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Config.Xfce

Contents

- Usage

Description

This module provides a config suitable for use with the Xfce desktop environment.

Synopsis

- xfceConfig :: XConfig (ModifiedLayout AvoidStruts (Choose Tall (Choose (Mirror Tall) Full)))
- desktopLayoutModifiers :: LayoutClass l a => l a -> ModifiedLayout AvoidStruts l a

# Usage

To use this module, start with the following `~/.xmonad/xmonad.hs`:

    import XMonad
    import XMonad.Config.Xfce

    main = xmonad xfceConfig

For examples of how to further customize `xfceConfig` see XMonad.Config.Desktop.

xfceConfig :: XConfig (ModifiedLayout AvoidStruts (Choose Tall (Choose (Mirror Tall) Full))) Source #

desktopLayoutModifiers :: LayoutClass l a => l a -> ModifiedLayout AvoidStruts l a Source #